=== debian/changelog ===
ada-reference-manual (1:2012.3-3) unstable; urgency=medium

  * Debhelper 12.
  * Wrap and sort build dependencies.
  * Standards-Version: 4.4.1.
  * Move VCS to salsa.debian.org.
  * Update and simplify rules script.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 10 Dec 2019 15:43:19 +0100

ada-reference-manual (1:2012.3-2) unstable; urgency=medium

  * Check build with gnat-8: new-gcc-warnings.diff.
  * Build-Depend: gprbuild. Drop no-gnatmake-project-support.diff.
  * Standards-Version: 4.1.4 (no changes).
  * Only include one debian_packaging*.mk, they may become coinstallable.
  * Debhelper 11. Drop explicit rules targets confusing dh.
  * Drop obsolete version restriction for dpkg-dev.
  * Update Vcs-Mtn URL.
  * Rules-Requires-Root: no.
  * Remove overrides for lintian pedantic messages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 12:27:33 +0200

ada-reference-manual (1:2012.3-1) unstable; urgency=medium

  * New upstream release. Remove applied patches.
  * PDFLaTeX now produces reproductible documents without faketime.
  * Standards-Version: 4.0.0. Handle DEB_BUILD_OPTIONS=nodoc.
  * Mark both packages as Multi-Arch: foreign.
  * Switch watch file to version 4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 21 Jun 2017 16:29:32 +0200

ada-reference-manual (1:2012.2-9) unstable; urgency=medium

  * Rebuild with gnat-6 and all hardening options.
  * Drop Depend/Break/Replace restrictions older than oldstable.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 17:47:04 +0200

ada-reference-manual (1:2012.2-8) unstable; urgency=medium

  * patches/texinfo-table.diff: avoid TeXinfo @table command. Closes: #817877.
  * patches/no-gnatmake-project-support.diff: use gnatname for file namings,
    instead of a manual patch extended during compilation.
  * patches/clean-tex-aux-files.diff: remove temporary TeX files.
  * Update status and fix DEP-3 syntax in two patches.
  * Standards-Version: 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 02 Apr 2016 17:30:11 +0200
