## ada-reference-manual 2020.1commit85143dcb

=== build/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # Specific targets generate every $document$year.$format combination.
 # Ex: make arm2012.pdf
 AVAILABLE_DOCUMENTS := aarm arm
-AVAILABLE_YEARS     := 2005 2012
+AVAILABLE_YEARS     := 2005 2012 2020
 AVAILABLE_FORMATS   := html info texinfo txt pdf
 
 # 'all' builds all versions except pdf; to build a subset, override these on the command line.
@@ -44,6 +44,9 @@
 # that they take precedence.  The intent is that you may configure the
 # build with a simple variable override.
 
+PYTHON ?= python3
+EMACS_EXE ?= emacs
+
 .PHONY: all clean publish
 
 all: $(foreach d,$(DOCUMENTS),\
@@ -51,6 +54,10 @@
      $(foreach f,$(FORMATS),\
        $(d)$(y).$(f))))
 
+
+create-dir : force
+	for file in *.info; do install-info $$file dir; done
+
 # We have been unable to get rid of all the section ref violations, so we
 # specify --no-validate. Delete that to see the errors.
 TEXI_INFO_OPTS := --no-split --no-number-sections --no-validate
@@ -58,12 +65,14 @@
 
 SOURCE_DIR_2005 := ../source_2005
 SOURCE_DIR_2012 := ../source_2012
+SOURCE_DIR_2020 := ../source_2020
 
 # See progs/command.txt.
 CHANGES      := New-Only
-# See arm_form.exe help for possible values
+# See arm_form.ada comment before Get_Commands for possible values
 VERSION_2005 := 2
 VERSION_2012 := 4
+VERSION_2020 := 5
 
 # Mapping from document acronyms to Randy's file names
 MASTER_arm  := rm.msm
@@ -72,6 +81,7 @@
 # Rough dependency, but Scribe files should not change often.
 SOURCES_2005 := $(wildcard $(SOURCE_DIR_2005)/*.ms[ms])
 SOURCES_2012 := $(wildcard $(SOURCE_DIR_2012)/*.ms[ms])
+SOURCES_2020 := $(wildcard $(SOURCE_DIR_2020)/*.ms[ms])
 define doc_year_build
 
   # Non-unique intermediate paths would create a race condition, so we
@@ -96,19 +106,29 @@
 	mkdir --parents $$@
 	cd $(SOURCE_DIR_$(y)); \
         $(CURDIR)/$$< $(MASTER_$(d)) Text $(CHANGES) $(VERSION_$(y)) $(VERSION_$(y)) $(CURDIR)/$$@/
+	for i in $$@/*; do \
+	  iconv --from-code=iso8859-1 --to-code=utf-8 > $$@/tmp $$$$i && mv $$@/tmp $$$$i; \
+	done
   clean::
 	rm -f -r $(d)$(y).txt
 
+# ../progs/arm-texi-index.el adds texinfo index entries.
+  $(d)$(y).texinfo-index: $(d)$(y).texinfo
+	$(EMACS_EXE) -Q -batch -L ../progs -l arm-texi-index.el --eval '(progn(do-index "$$<")(kill-emacs))'
+	touch $$@
+  clean::
+	rm -f $(d)$(y).texinfo-index
+
 # texi2any is from texinfo 5
-  $(d)$(y).info: $(d)$(y).texinfo
-	texi2any --info $(TEXI_INFO_OPTS) $$< -o $$@
+  $(d)$(y).info: $(d)$(y).texinfo-index
+	texi2any --info $(TEXI_INFO_OPTS) $(d)$(y).texinfo -o $$@
   clean::
 	rm -f $(d)$(y).info
 
   $(d)$(y).pdf: $(d)$(y).texinfo
 	texi2any --pdf $(TEXI_PDF_OPTS) $$< -o $$@
   clean::
-	rm -f $(d)$(y).log $(d)$(y).pdf $(d)$(y).toc
+	rm -f $(d)$(y).aux $(d)$(y).cp $(d)$(y).cps $(d)$(y).log $(d)$(y).pdf $(d)$(y).toc
 
 endef
 $(foreach d,$(AVAILABLE_DOCUMENTS),\
@@ -119,16 +139,16 @@
 	gnatmake -p $(BUILDER_OPTIONS) -P arm_info.gpr $(foreach var,ADAFLAGS LDFLAGS,"-X$(var)=$($(var))")
 clean::
 	rm -f arm_form.exe
-	rm -f -r objects
+	rm -f -r objects __pycache__
 
 trace :
-	addr2line -e arm_form.exe 0x51009e 0x5298ca 0x401fc2 0x405169 0x4013db 0x76cc7c02 0x76f3ab8d 0x76f3ab58
+	addr2line -e arm_form.exe 0x52f218 0x54d4de 0x402123 0x405c6e 0x401393 0x4014f9 0x7ffd98271410 0x7ffd990454f2
 
 # year is latest standard; bump trailing digit for any change.
-ZIP_VERSION := $(lastword $(AVAILABLE_YEARS)).3
+ZIP_VERSION := $(lastword $(AVAILABLE_YEARS)).1
 
 INFO_ARCHIVE := arm_info-$(ZIP_VERSION).tar.gz
-SOURCE_ARCHIVE  := arm_info-$(ZIP_VERSION)-src.tar.gz
+SOURCE_ARCHIVE := arm_info-$(ZIP_VERSION)-src.tar.gz
 publish: $(INFO_ARCHIVE) $(SOURCE_ARCHIVE)
 
 # --no-name eliminates time stamps, which helps make the tarball reproducible
@@ -142,18 +162,16 @@
 clean::
 	rm -f $(INFO_ARCHIVE)
 
-ZIP_EXCLUDES := *~ *.dvi *.gz *.info *.log *.pdf *.ps *.texinfo *.toc \
-  *.stamp *.zip arm_form.exe _MTN .mtn-ignore .dvc-exclude aarm2005.html \
-  aarm2005.txt aarm2012.html aarm2012.txt arm2005.html arm2005.txt arm2012.html \
-  arm2012.txt objects
-$(SOURCE_ARCHIVE):
-	tar cf - -C ../.. $(foreach e,$(ZIP_EXCLUDES),--exclude="$(e)") org.adaic.arm_form | gzip $(GZIP) -c > $@
+$(SOURCE_ARCHIVE): force
+	(cd .. && git archive --prefix=arm_info-$(ZIP_VERSION)-src/ org.adaic.arm_form *) | gzip $(GZIP) -c > $@
+
 clean::
 	rm -f $(SOURCE_ARCHIVE)
 
 update_upstream : source_ada.clean         source_ada.stamp
 update_upstream : source_scribe_2005.clean source_scribe_2005.stamp
 update_upstream : source_scribe_2012.clean source_scribe_2012.stamp
+update_upstream : source_scribe_2020.clean source_scribe_2020.stamp
 
 # download.py does not convert to unix line endings here to minimize
 # the diff with upstream; the Ada compiler can handle DOS line endings
@@ -161,7 +179,7 @@
 # consistency.
 source_ada.stamp :
 	rm -rf ../../org.adaic.arm_form.upstream/progs
-	cd ../../org.adaic.arm_form.upstream; python3 ../org.adaic.arm_form/build/download.py progs
+	cd ../../org.adaic.arm_form.upstream; $(PYTHON) ../org.adaic.arm_form/build/download.py progs
 	touch source_ada.stamp
 
 source_ada.clean :
@@ -176,16 +194,23 @@
 # and arm_form does as well; upstream only runs on Windows, which
 # ignores case in filenames, so the file names in the sources are not
 # consistently cased.
-source_scribe_%.stamp :
+source_scribe_%_downloaded.stamp :
 	rm -rf ../../org.adaic.arm_form.upstream/source_$*
-	cd ../../org.adaic.arm_form.upstream; python3 ../org.adaic.arm_form/build/download.py $*
+	cd ../../org.adaic.arm_form.upstream; $(PYTHON) ../org.adaic.arm_form/build/download.py $*
+
+# download.py often times out, so we need to run it multiple times,
+# then manually mark it done. Then make source_scribe_%.stamp
+mark_%_downloaded :
+	touch source_scribe_$*_downloaded.stamp
+
+source_scribe_%.stamp : source_scribe_%_downloaded.stamp
 	mv ../../org.adaic.arm_form.upstream/source ../../org.adaic.arm_form.upstream/source_$*
 	touch source_scribe_$*.stamp
 
 source_scribe_%.clean :
 	rm -f source_scribe_$*.stamp
 
-# These sources do not match teh correpsonding CVS tag, although they are close.
+# These sources do not match the corresponding CVS tag, although they are close.
 ARM_SRC.ZIP ARM_FORM.ZIP ARM_FSRC.ZIP 2005-SRC.zip 2012-SRC.zip :
 	wget http://www.ada-auth.org/arm-files/$@
 
@@ -201,7 +226,7 @@
 
 .PHONY : force
 
-VPATH = ../source_2005 ../source_2012 ../progs
+VPATH = ../source_2005 ../source_2012 ../source_2020 ../progs
 
 #Local Variables:
 #eval: (delete '("\\.mss\\'" . scribe-mode) auto-mode-alist)
