=== debian/changelog ===
ada-reference-manual (1:2020.1commit85143dcb-5) unstable; urgency=medium

  * * Stop pretending that DOCUMENTS is not hardcoded.
  * Standards-Version (no changes).
  * Fix the format of a patch header.
  * Prevent new compiler warnings from breaking Debian builds.
  * Update copyright years.
  * Build-Depend: dh-ada-library for packaging.mk.  Closes: #1067299.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 May 2024 16:37:23 +0000

ada-reference-manual (1:2020.1commit85143dcb-4) unstable; urgency=medium

  * ucan: use HTTPS upstream URL
  * Add minimal upstream metadata
  * Simplify debian/rules
  * Let Makefile build texinfo index entries before PDF. Closes: #1013600
  * Set git-buildpackage branch names

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 25 Jun 2022 17:07:26 +0200

ada-reference-manual (1:2020.1commit85143dcb-3) unstable; urgency=medium

  * Use unversioned debian_packaging.mk from gnat (>= 11~).
  * Standards-Version 4.6.1.
  * Update copyright years.
  * Pass build flags via the Make command line (environment is ignored).
  * Remove build flags that repeat upstream defaults.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 22 May 2022 20:40:42 +0000

ada-reference-manual (1:2020.1commit85143dcb-2) unstable; urgency=medium

  * New source-only upload allowing transition to testing.
  * Pass build flags via the environments.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 13 Oct 2020 18:03:05 +0000

ada-reference-manual (1:2020.1commit85143dcb-1) unstable; urgency=medium

  * New upstream release (commit 85143dcb instead of buggy 2020.1 archive).
  * Add a Debian binary package for version 2020 of the manual.
  * Depends: emacs-nox for the new info index generator.
  * Debhelper 13. Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 13 Jun 2020 18:42:30 +0000
