=== debian/control ===
Source: ada-reference-manual
Section: doc
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ada-library (>= 9.1),
 emacs-nox,
 gnat,
 gprbuild,
 texinfo,
# texi2any
 texlive-fonts-recommended,
# ecrm1095 fonts
 texlive-latex-recommended,
# pdf output module
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/ada-reference-manual
Vcs-Git: https://salsa.debian.org/debian/ada-reference-manual.git
Homepage: http://www.stephe-leake.org/ada/arm.html
# http://www.ada-auth.org/arm.html is the other upstream contact
# but Stephen's page links to them on the front page and this field
# only accepts one value.
Rules-Requires-Root: no

Package: ada-reference-manual-2005
Architecture: all
Multi-Arch: foreign
Suggests: gnat
Depends: ${misc:Depends}
Description: reference documentation for the Ada language (2005 standard)
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.  The annotated manual provides implementors
 of Ada tools with more background.  Both documents are available in
 HTML, PDF, info, and plain text formats.
 .
 This package installs the 2005 version.

Package: ada-reference-manual-2012
Architecture: all
Multi-Arch: foreign
Suggests: gnat
Depends: ${misc:Depends}
Description: reference documentation for the Ada language (2012 standard)
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.  The annotated manual provides implementors
 of Ada tools with more background.  Both documents are available in
 HTML, PDF, info, and plain text formats.
 .
 This package installs the 2012 version.

Package: ada-reference-manual-2020
Architecture: all
Multi-Arch: foreign
Suggests: gnat
Depends: ${misc:Depends}
Description: reference documentation for the Ada language (2020 preview)
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.  The annotated manual provides implementors
 of Ada tools with more background.  Both documents are available in
 HTML, PDF, info, and plain text formats.
 .
 This package installs an unofficial preview of the 2020 version.

# debian/rules must be updated when a new binary package is added
