=== debian/watch ===
version=4
https://www.stephe-leake.org/ada/arm.html \
    arm_info-@ANY_VERSION@-src@ARCHIVE_EXT@
